Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
View Relevant Items
Use the Relevant Items resource to get a list of relevant
records.
Example usage for getting a list of the current user’s most relevant records
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/relevantItems -H "Authorization: Bearer token"Example request body
None required
Example response body
1[ {
2 "apiName" : "Contact",
3 "key" : "003",
4 "label" : "Contacts",
5 "lastUpdatedId" : "135866748",
6 "recordIds" : [ "003xx000004TxBA" ]
7}, { "apiName" : "Account",
8 "key" : "001",
9 "label" : "Accounts",
10 "lastUpdatedId" : "193640553",
11 "recordIds" : [ "001xx000003DWsT" ]
12}, {
13 "apiName" : "User",
14 "key" : "005",
15 "label" : "Users",
16 "lastUpdatedId" : "-199920321",
17 "recordIds" : [ "005xx000001Svqw", "005xx000001SvwK", "005xx000001SvwA" ]
18}, { "apiName" : "Case",
19 "key" : "069",
20 "label" : "Cases",
21 "lastUpdatedId" : "1033471693",
22 "recordIds" : [ "069xx0000000006", "069xx0000000001", "069xx0000000002" ]
23} ]Example usage for filtering the response to certain objects
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/relevantItems?sobjects=Account,User -H "Authorization: Bearer token"Example request body
None required
Example response body
1[ {
2 "apiName" : "Account",
3 "key" : "001",
4 "label" : "Accounts",
5 "lastUpdatedId" : "193640553",
6 "recordIds" : [ "001xx000003DWsT" ]
7}, {
8 "apiName" : "User",
9 "key" : "005",
10 "label" : "Users",
11 "lastUpdatedId" : "102959935",
12 "recordIds" : [ "005xx000001Svqw", "005xx000001SvwK", "005xx000001SvwA" ]
13} ]Example usage for comparing the user’s current list of relevant records to a previous version
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/relevantItems?lastUpdatedId=102959935 -H "Authorization: Bearer token"Example request body
None required
Example response header
1lastUpdatedId: 102959935
2newResultSetSinceLastQuery: trueExample response body
1[ {
2 "apiName" : "User",
3 "key" : "003",
4 "label" : "Users",
5 "lastUpdatedId" : "102959935",
6 "recordIds" : [ "003xx000004TxBA" ]
7}, {
8 "apiName" : "Account",
9 "key" : "001",
10 "label" : "Accounts",
11 "lastUpdatedId" : "193640553",
12 "recordIds" : [ "001xx000003DWsT" ]
13}, {
14 "apiName" : "Case",
15 "key" : "005",
16 "label" : "Cases",
17 "lastUpdatedId" : "1740766611",
18 "recordIds" : [ "005xx000001Svqw", "005xx000001SvwA" ]
19} ]Example usage for comparing the user’s current list of relevant records to a previous version for a particular object
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/relevantItems?mode=MRU&sobjects=Account,Contact&Account.lastUpdatedId=102959935 -H "Authorization: Bearer token"Example request body
None required
Example response body
1[ {
2 "apiName" : "Account",
3 "key" : "001",
4 "label" : "Accounts",
5 "lastUpdatedId" : "193640553",
6 "recordIds" : [ "001xx000003DWsT" ]
7} ]